__DEV_GET_BY_NAME(9)

NAME
__dev_get_by_name - find a device by its name

SYNOPSIS

struct net_device * __dev_get_by_name(struct net * net, const char * name);

ARGUMENTS

net
    the applicable net namespace

name
    name to find

DESCRIPTION

Find an interface by name. Must be called under RTNL semaphore or dev_base_lock. If the name is found a pointer to the device is returned. If the name is not found then NULL is returned. The reference counters are not incremented so the caller must be careful with locks.

COPYRIGHT